package MyModel::Author;
use feature qw( signatures );
use Moose;
extends 'MyModel';
no warnings qw( experimental::signatures );

sub get_page ($self, $page_number = 1, $name_like = undef) {
   my $search_condition = (defined $name_like)
      ? { "me.name" => { ilike => "\%$name_like\%" } }
      : undef;
   my $rs = $self->schema->resultset('Author')->search_rs(
      $search_condition,
      {  prefetch => [ "books" ],
         order_by => [ "me.name " ],
         page => $page_number,
         rows => $self->rows_per_page,
      },
   );
   return $rs;
}

sub find_by_id ($self, $id) {
   return $self->schema->resultset('Author')->find(
      { id => $id },
      { prefetch => [ "books" ] },
   );
}

no Moose;
__PACKAGE__->meta->make_immutable;
